Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

RetroPie 4.3.17 Stretch images



  • I should receive the spare SD card next week, be sure I'll test the stretch image.

    Regarding the upgrade path, I'm a debian user since potato, and had many computers with debian sid (and still have), so this wouldn't freak me if tests were needed :)



  • Just for a general Linux-Noob: what are the advantages of using stretch?
    Will there be a performance boost or new functions?
    Or is it only about beeing newer, so we have to use it?


  • Global Moderator

    @sirhenrythe5th said in RetroPie 4.3.11 Stretch images for testing:

    Just for a general Linux-Noob: what are the advantages of using stretch?
    Will there be a performance boost or new functions?
    Or is it only about beeing newer, so we have to use it?

    It's just an update to the underlying OS, so you shouldn't really expect any noticeable changes, but there will be minor differences.

    One good reason to switch is that the Raspberry Pi foundation appear to have stopped providing kernel/firmware updates for jessie. Switching to stretch will ensure that we receive those updates which can be helpful to ensure stability and security.



  • Some generic answers :

    • distribution support
    • security updates
    • more recent kernel and drivers : bug corrections, new features, new supported hardware
    • more recent softwares in the distribution
    • more recent libraries included, so better compatibility with new versions of third-party softwares

    Edit : busted...



  • @BuZz ....

    Going through and installing a lot of the various emulators, I ran into an issue with lr-mame2010.

    I started the install for it ... but it seemed to get caught into an endless loop. I eventually just stopped it.

    I failed to capture my screen output. If you need to see if, I'd be happy to try it again.

    I was using the new image for Rasperry Pi 2/3.

    Thanks...


  • administrators

    @dmmarti said in RetroPie 4.3.11 Stretch images for testing:

    I failed to capture my screen output.

    This is why there are logs. How long did you wait? Because compilation for that takes hours.


  • administrators

    Just a few notes from my minimal testing:

    Didn't realise the scummvm binary wasn't 2.0 yet (would be nice), but runs fine

    My gamepad controls are showing up in the terminal after using my gamepad to navigate the setup script.

    Eg. ^[A]^[B] etc. Doesn't particularly seem to break anything, just cosmetic.

    Supertux has a different package now/seems to want GL. So module will need some tweaking

    I'm sure there are others, still testing



  • @herb_fargus ...ah....thanks...

    I didn't notice it was a compile from source instead of the binary option. I only let it run for about 30-45 minutes I think.

    I'll start it back up again and just let it do its thing.

    Thanks.


  • administrators

    @herb_fargus said in RetroPie 4.3.11 Stretch images for testing:

    Didn't realise the scummvm binary wasn't 2.0 yet (would be nice), but runs fine

    Probably didn't rebuild the Stretch binaries after updating scummvm. rebuilding now.

    My gamepad controls are showing up in the terminal after using my gamepad to navigate the setup script.

    Eg. ^[A]^[B] etc. Doesn't particularly seem to break anything, just cosmetic.

    it's because joy2key is left running (a bug that we had a possible fix for, but the fix caused runcommand to get stuck as it ended up waiting forever for a process). I have just made a change that could help (might speed up the python startup time). You will need to re-install runcommand after updating.

    Supertux has a different package now/seems to want GL. So module will need some tweaking

    Ah - we just install the debs - I tried the new supertux a while ago on Jessie, and it was slow without opengl. I might just have to exclude it for now, or switch to use an older source.


  • administrators

    @dmmarti said in RetroPie 4.3.11 Stretch images for testing:

    I failed to capture my screen output. If you need to see if, I'd be happy to try it again.

    Looks like I haven't built a binary for that yet - it may have failed when I built the optional packages and I missed it. I will check after scummvm is rebuilt.

    Capturing screen output isn't that useful. Everything gets logged and the logs can be provided if something fails, but it looks like you may be better off sticking with Jessie and leave testing to those who are more familiar with RetroPie/Linux.



  • I received today my new SD card.
    Stretch image is installed, some minor tweaking (no overlay, disable wifi, migrate root partition), and it works.
    Updated and installed some themes and sselph scraper.
    Only thing not working ATM are Dualshock3 with bluetooth (native bluez method).
    I'll try new @psyke83 method :)
    So far, so good.


  • administrators

    Error log from Pixel Desktop Install:

    pi@retropie:~ $ cat /dev/shm/runcommand.log 
    Parameters: 
    Executing: startx -- vt1 -keeptty
    xauth:  file /home/pi/.Xauthority does not exist
    
    /usr/lib/xorg/Xorg.wrap: Only console users are allowed to run the X server
    xinit: giving up
    xinit: unable to connect to X server: Connection refused
    xinit: server error
    

    runs fine if just typing startx in the terminal. It only has issues if trying to run from within the ports menu in ES


  • administrators

    @fluffypillow

    This error is given with pegasus-fe after installing on raspbian stretch

    /opt/retropie/supplementary/pegasus-fe/pegasus-fe: error while loading shared libraries: libOpenVG.so: cannot open shared object file: No such file or directory
    

  • Global Moderator

    @herb_fargus said in RetroPie 4.3.11 Stretch images for testing:

    libOpenVG

    Temporary workaround: https://github.com/RetroPie/RetroPie-Setup/pull/2294/
    If this can be fixed in the binaries, I'll just close this PR without merging.



  • Is the vc4 video driver used in this build?



  • @herb_fargus @psyke83 Thanks, I think I can fix that. Pegasus is currently linked to libEGL/libGLESv2/libOpenVG, so I suppose I should use their libbrcm* version, right? Do we know about why they were removed (or why there were two versions in the first place)?


  • administrators

    @fluffypillow they were renamed to avoid conflicts with the mesa libs afaik (or something like that). On Jessie both are available, but on stretch only the new names are there. the new names should be used now to work on both Jessie and Stretch. RetroPie ensures that a Jessie install will have the newest package with the new names.


  • Global Moderator

    @fluffypillow @psyke83 gave an easy to understand answer here.



  • @BuZz @mitu I see, thank you; I'll start using the new libs then.



  • @herb_fargus

    To allow emulationstation to launch Xorg you must edit the file /etc/X11/Xwrapper.config

    and replace allowed_users=console

    by allowed_users=anybody


Log in to reply
 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.